<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "invmainres";
$file = "manrecpres.php";

$keyfld = "vouchno";
$keycond = " and `rentfor`='$para'";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`monthno` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`monthno` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY b.`name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`vouchno`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`monthno`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT date_format(a.vouchdt,'%d-%m-%Y') as vouchdt, a.vouchno, a.monthno, b.name as partyname FROM `$maindb` a, `accmast` b
                 WHERE a.vouchno !='' AND a.accode = b.accode and a.`gentype`='M' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

//print table($result);

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = ['success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'party' => $r[partyname],
        'vouchdt' => $r[vouchdt],
        'vouchno' => $r[vouchno],
        'monthno' => $r[monthno],
        'action' => "$file?mode=edit&vouchno=$r[vouchno]&para=M",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
